<?php
// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
require_once '/usr/share/php/Fedora/Autoloader'.'/autoload.php';

\Fedora\Autoloader\Autoload::addClassMap(
    array(
        'laminas\\hydrator\\abstracthydrator' => '/AbstractHydrator.php',
                'laminas\\hydrator\\aggregate\\aggregatehydrator' => '/Aggregate/AggregateHydrator.php',
                'laminas\\hydrator\\aggregate\\extractevent' => '/Aggregate/ExtractEvent.php',
                'laminas\\hydrator\\aggregate\\hydrateevent' => '/Aggregate/HydrateEvent.php',
                'laminas\\hydrator\\aggregate\\hydratorlistener' => '/Aggregate/HydratorListener.php',
                'laminas\\hydrator\\arrayserializable' => '/ArraySerializable.php',
                'laminas\\hydrator\\classmethods' => '/ClassMethods.php',
                'laminas\\hydrator\\configprovider' => '/ConfigProvider.php',
                'laminas\\hydrator\\delegatinghydrator' => '/DelegatingHydrator.php',
                'laminas\\hydrator\\delegatinghydratorfactory' => '/DelegatingHydratorFactory.php',
                'laminas\\hydrator\\exception\\badmethodcallexception' => '/Exception/BadMethodCallException.php',
                'laminas\\hydrator\\exception\\domainexception' => '/Exception/DomainException.php',
                'laminas\\hydrator\\exception\\exceptioninterface' => '/Exception/ExceptionInterface.php',
                'laminas\\hydrator\\exception\\extensionnotloadedexception' => '/Exception/ExtensionNotLoadedException.php',
                'laminas\\hydrator\\exception\\invalidargumentexception' => '/Exception/InvalidArgumentException.php',
                'laminas\\hydrator\\exception\\invalidcallbackexception' => '/Exception/InvalidCallbackException.php',
                'laminas\\hydrator\\exception\\logicexception' => '/Exception/LogicException.php',
                'laminas\\hydrator\\exception\\runtimeexception' => '/Exception/RuntimeException.php',
                'laminas\\hydrator\\extractioninterface' => '/ExtractionInterface.php',
                'laminas\\hydrator\\filter\\filtercomposite' => '/Filter/FilterComposite.php',
                'laminas\\hydrator\\filter\\filterinterface' => '/Filter/FilterInterface.php',
                'laminas\\hydrator\\filter\\filterproviderinterface' => '/Filter/FilterProviderInterface.php',
                'laminas\\hydrator\\filter\\getfilter' => '/Filter/GetFilter.php',
                'laminas\\hydrator\\filter\\hasfilter' => '/Filter/HasFilter.php',
                'laminas\\hydrator\\filter\\isfilter' => '/Filter/IsFilter.php',
                'laminas\\hydrator\\filter\\methodmatchfilter' => '/Filter/MethodMatchFilter.php',
                'laminas\\hydrator\\filter\\numberofparameterfilter' => '/Filter/NumberOfParameterFilter.php',
                'laminas\\hydrator\\filter\\optionalparametersfilter' => '/Filter/OptionalParametersFilter.php',
                'laminas\\hydrator\\filterenabledinterface' => '/FilterEnabledInterface.php',
                'laminas\\hydrator\\hydrationinterface' => '/HydrationInterface.php',
                'laminas\\hydrator\\hydratorawareinterface' => '/HydratorAwareInterface.php',
                'laminas\\hydrator\\hydratorawaretrait' => '/HydratorAwareTrait.php',
                'laminas\\hydrator\\hydratorinterface' => '/HydratorInterface.php',
                'laminas\\hydrator\\hydratoroptionsinterface' => '/HydratorOptionsInterface.php',
                'laminas\\hydrator\\hydratorpluginmanager' => '/HydratorPluginManager.php',
                'laminas\\hydrator\\hydratorpluginmanagerfactory' => '/HydratorPluginManagerFactory.php',
                'laminas\\hydrator\\hydratorproviderinterface' => '/HydratorProviderInterface.php',
                'laminas\\hydrator\\iterator\\hydratingarrayiterator' => '/Iterator/HydratingArrayIterator.php',
                'laminas\\hydrator\\iterator\\hydratingiteratorinterface' => '/Iterator/HydratingIteratorInterface.php',
                'laminas\\hydrator\\iterator\\hydratingiteratoriterator' => '/Iterator/HydratingIteratorIterator.php',
                'laminas\\hydrator\\module' => '/Module.php',
                'laminas\\hydrator\\namingstrategy\\arraymapnamingstrategy' => '/NamingStrategy/ArrayMapNamingStrategy.php',
                'laminas\\hydrator\\namingstrategy\\compositenamingstrategy' => '/NamingStrategy/CompositeNamingStrategy.php',
                'laminas\\hydrator\\namingstrategy\\identitynamingstrategy' => '/NamingStrategy/IdentityNamingStrategy.php',
                'laminas\\hydrator\\namingstrategy\\mapnamingstrategy' => '/NamingStrategy/MapNamingStrategy.php',
                'laminas\\hydrator\\namingstrategy\\namingstrategyinterface' => '/NamingStrategy/NamingStrategyInterface.php',
                'laminas\\hydrator\\namingstrategy\\underscorenamingstrategy' => '/NamingStrategy/UnderscoreNamingStrategy.php',
                'laminas\\hydrator\\namingstrategyenabledinterface' => '/NamingStrategyEnabledInterface.php',
                'laminas\\hydrator\\objectproperty' => '/ObjectProperty.php',
                'laminas\\hydrator\\reflection' => '/Reflection.php',
                'laminas\\hydrator\\strategy\\booleanstrategy' => '/Strategy/BooleanStrategy.php',
                'laminas\\hydrator\\strategy\\closurestrategy' => '/Strategy/ClosureStrategy.php',
                'laminas\\hydrator\\strategy\\collectionstrategy' => '/Strategy/CollectionStrategy.php',
                'laminas\\hydrator\\strategy\\datetimeformatterstrategy' => '/Strategy/DateTimeFormatterStrategy.php',
                'laminas\\hydrator\\strategy\\defaultstrategy' => '/Strategy/DefaultStrategy.php',
                'laminas\\hydrator\\strategy\\exception\\exceptioninterface' => '/Strategy/Exception/ExceptionInterface.php',
                'laminas\\hydrator\\strategy\\exception\\invalidargumentexception' => '/Strategy/Exception/InvalidArgumentException.php',
                'laminas\\hydrator\\strategy\\explodestrategy' => '/Strategy/ExplodeStrategy.php',
                'laminas\\hydrator\\strategy\\serializablestrategy' => '/Strategy/SerializableStrategy.php',
                'laminas\\hydrator\\strategy\\strategychain' => '/Strategy/StrategyChain.php',
                'laminas\\hydrator\\strategy\\strategyinterface' => '/Strategy/StrategyInterface.php',
                'laminas\\hydrator\\strategyenabledinterface' => '/StrategyEnabledInterface.php',
    ),
    __DIR__
);
// @codeCoverageIgnoreEnd
\Fedora\Autoloader\Dependencies::required([
    '/usr/share/php/Laminas/Stdlib/autoload.php',
]);
\Fedora\Autoloader\Dependencies::optional([
    '/usr/share/php/Laminas/EventManager/autoload.php',
    '/usr/share/php/Laminas/Serializer/autoload.php',
    '/usr/share/php/Laminas/ServiceManager/autoload.php',
    '/usr/share/php/Laminas/Filter/autoload.php',
]);
